From 92a5fd5a82fa3c6507f41e023a8ab8a9ba8e22db Mon Sep 17 00:00:00 2001
From: Sinisa Veseli <sveseli@aps.anl.gov>
Date: Mon, 6 Mar 2017 15:49:35 +0000
Subject: [PATCH] adding scripts for 11IDB and C, 6BM

---
 bin/11IDB/dm-11idb-daq    | 18 ++++++++++++++++++
 bin/11IDB/dm-11idb-upload | 18 ++++++++++++++++++
 bin/11IDC/dm-11idc-daq    | 18 ++++++++++++++++++
 bin/11IDC/dm-11idc-upload | 18 ++++++++++++++++++
 bin/6BM/dm-6bm-daq        | 18 ++++++++++++++++++
 bin/6BM/dm-6bm-upload     | 18 ++++++++++++++++++
 6 files changed, 108 insertions(+)
 create mode 100755 bin/11IDB/dm-11idb-daq
 create mode 100755 bin/11IDB/dm-11idb-upload
 create mode 100755 bin/11IDC/dm-11idc-daq
 create mode 100755 bin/11IDC/dm-11idc-upload
 create mode 100755 bin/6BM/dm-6bm-daq
 create mode 100755 bin/6BM/dm-6bm-upload

diff --git a/bin/11IDB/dm-11idb-daq b/bin/11IDB/dm-11idb-daq
new file mode 100755
index 00000000..daed1d22
--- /dev/null
+++ b/bin/11IDB/dm-11idb-daq
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# Run command
+
+if [ -z $DM_ROOT_DIR ]; then
+    cd `dirname $0` && myDir=`pwd`
+    setupFile=$myDir/../../setup.sh
+    if [ ! -f $setupFile ]; then
+        echo "Cannot find setup file: $setupFile"
+        exit 1
+    fi
+    source $setupFile > /dev/null
+fi
+source $DM_ROOT_DIR/bin/dm_command_setup.sh
+
+eval "$DM_ROOT_DIR/src/python/dm/aps_beamline_tools/cli/daqCli.py $DM_COMMAND_ARGS"
+
+
diff --git a/bin/11IDB/dm-11idb-upload b/bin/11IDB/dm-11idb-upload
new file mode 100755
index 00000000..9f753a81
--- /dev/null
+++ b/bin/11IDB/dm-11idb-upload
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# Run command
+
+if [ -z $DM_ROOT_DIR ]; then
+    cd `dirname $0` && myDir=`pwd`
+    setupFile=$myDir/../../setup.sh
+    if [ ! -f $setupFile ]; then
+        echo "Cannot find setup file: $setupFile"
+        exit 1
+    fi
+    source $setupFile > /dev/null
+fi
+source $DM_ROOT_DIR/bin/dm_command_setup.sh
+
+eval "$DM_ROOT_DIR/src/python/dm/aps_beamline_tools/cli/uploadCli.py $DM_COMMAND_ARGS"
+
+
diff --git a/bin/11IDC/dm-11idc-daq b/bin/11IDC/dm-11idc-daq
new file mode 100755
index 00000000..daed1d22
--- /dev/null
+++ b/bin/11IDC/dm-11idc-daq
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# Run command
+
+if [ -z $DM_ROOT_DIR ]; then
+    cd `dirname $0` && myDir=`pwd`
+    setupFile=$myDir/../../setup.sh
+    if [ ! -f $setupFile ]; then
+        echo "Cannot find setup file: $setupFile"
+        exit 1
+    fi
+    source $setupFile > /dev/null
+fi
+source $DM_ROOT_DIR/bin/dm_command_setup.sh
+
+eval "$DM_ROOT_DIR/src/python/dm/aps_beamline_tools/cli/daqCli.py $DM_COMMAND_ARGS"
+
+
diff --git a/bin/11IDC/dm-11idc-upload b/bin/11IDC/dm-11idc-upload
new file mode 100755
index 00000000..9f753a81
--- /dev/null
+++ b/bin/11IDC/dm-11idc-upload
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# Run command
+
+if [ -z $DM_ROOT_DIR ]; then
+    cd `dirname $0` && myDir=`pwd`
+    setupFile=$myDir/../../setup.sh
+    if [ ! -f $setupFile ]; then
+        echo "Cannot find setup file: $setupFile"
+        exit 1
+    fi
+    source $setupFile > /dev/null
+fi
+source $DM_ROOT_DIR/bin/dm_command_setup.sh
+
+eval "$DM_ROOT_DIR/src/python/dm/aps_beamline_tools/cli/uploadCli.py $DM_COMMAND_ARGS"
+
+
diff --git a/bin/6BM/dm-6bm-daq b/bin/6BM/dm-6bm-daq
new file mode 100755
index 00000000..daed1d22
--- /dev/null
+++ b/bin/6BM/dm-6bm-daq
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# Run command
+
+if [ -z $DM_ROOT_DIR ]; then
+    cd `dirname $0` && myDir=`pwd`
+    setupFile=$myDir/../../setup.sh
+    if [ ! -f $setupFile ]; then
+        echo "Cannot find setup file: $setupFile"
+        exit 1
+    fi
+    source $setupFile > /dev/null
+fi
+source $DM_ROOT_DIR/bin/dm_command_setup.sh
+
+eval "$DM_ROOT_DIR/src/python/dm/aps_beamline_tools/cli/daqCli.py $DM_COMMAND_ARGS"
+
+
diff --git a/bin/6BM/dm-6bm-upload b/bin/6BM/dm-6bm-upload
new file mode 100755
index 00000000..9f753a81
--- /dev/null
+++ b/bin/6BM/dm-6bm-upload
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# Run command
+
+if [ -z $DM_ROOT_DIR ]; then
+    cd `dirname $0` && myDir=`pwd`
+    setupFile=$myDir/../../setup.sh
+    if [ ! -f $setupFile ]; then
+        echo "Cannot find setup file: $setupFile"
+        exit 1
+    fi
+    source $setupFile > /dev/null
+fi
+source $DM_ROOT_DIR/bin/dm_command_setup.sh
+
+eval "$DM_ROOT_DIR/src/python/dm/aps_beamline_tools/cli/uploadCli.py $DM_COMMAND_ARGS"
+
+
-- 
GitLab